# Class Controller

#### Hierarchy

- Controller

- Defined in src/mobile/navigation/component.js:113

#####
Index

### Properties

active_
back
backButton_
header_
slid_

### Methods

backIfActive
back_
init
updateNavigationHeader_

## Properties

### active_

active_: JQuery<HTMLElement>

Currently active sliding box.

- Defined in src/mobile/navigation/component.js:126
- Defined in src/mobile/navigation/component.js:158
- Defined in src/mobile/navigation/component.js:195
- Defined in src/mobile/navigation/component.js:285

### back

back: (() => void)

#### Type declaration

- - (): void

  - Return to the previous slide.

    #### Returns void

- Defined in src/mobile/navigation/component.js:147

### backButton_

backButton_: JQuery<HTMLElement>

The back button in the navigation header.

- Defined in src/mobile/navigation/component.js:140
- Defined in src/mobile/navigation/component.js:160

### header_

header_: JQuery<HTMLElement>

The navigation header.

- Defined in src/mobile/navigation/component.js:133
- Defined in src/mobile/navigation/component.js:159

### slid_

slid_: JQuery<HTMLElement>[]

Stack of slid-in items.

- Defined in src/mobile/navigation/component.js:119

## Methods

### backIfActive

- backIfActive(element: Element): void

- Return to the previous slide if the given element is active.

  #### Parameters

  - ##### element: Element

    The element to check.

  #### Returns void

  - Defined in src/mobile/navigation/component.js:293

### back_

- back_(): void

- Return to the previous slide.

  #### Returns void

  - Defined in src/mobile/navigation/component.js:262

### init

- init(element: JQuery<HTMLElement>): void

- Initialize the directive with the linked element.

  #### Parameters

  - ##### element: JQuery<HTMLElement>

    Element.

  #### Returns void

  - Defined in src/mobile/navigation/component.js:157

### updateNavigationHeader_

- updateNavigationHeader_(active: JQuery<HTMLElement>, back: boolean): void

- #### Parameters

  - ##### active: JQuery<HTMLElement>

    The currently active sliding box.

  - ##### back: boolean

    Whether to move back.

  #### Returns void

  - Defined in src/mobile/navigation/component.js:209

Generated using TypeDoc